<?php 
	//* incluyo funciones del sistema yPanel */
	include_once( dirname(__DIR__) . '/.ypanel.php');
	
	$panel		= ( isset( $_POST['panel'] ) ) ? $_POST['panel'] : 'none';
	$tabla		= ( isset( yPanel::paneles( $panel )->tabla ) ) ? MYSQL_PREFIJO_SISX . yPanel::paneles( $panel )->tabla : 'nulo';
	
	// ** Funcion para eliminar directorio
	function eDir($dir) { 
		$files = array_diff(scandir($dir), array('.','..')); 
		foreach ($files as $file) {
			(is_dir("$dir/$file")) ? EliminarDir("$dir/$file") : unlink("$dir/$file"); 
		}
		return rmdir($dir);
	}
	
		
		// ** Ejecuto accion Guardar / Modificar
		if( $_POST['acc'] == 'g-tema' ){
			$tema	= $_FILES['tema'];
			$insTema= instalar_ext( $tema['tmp_name'] );
			//$insTema= instalar_ext_weby( $tema['tmp_name'], YPATH . YDS . 'wy_incluye' . YDS . 'wy_ext' . YDS );
			switch( $insTema ){
					case 1 or 'EXTINSTOK':
						$lng_err= 'msj_formato_okextension';
						$msj_err= 'La Extensión se instaló correctamente.';
						$a_err	= 'alert-success';
						
						break;
					case 2 or 'EXTACTOK':
						$lng_err= 'msj_extension_actualizado';
						$msj_err= 'La extensión se actualizó correctamente.';
						$a_err	= 'alert-info';
						
						break;
					case 4 or 'NOZIP':
						$lng_err= 'msj_formato_noextension';
						$msj_err= 'El formato de la extension que desea instalar es incorrecto.';
						$a_err	= 'alert-warning';
						
						break;
					case 5:
						$lng_err= 'msj_zip_incorrecto';
						$msj_err= 'El formato es incorrecto o el zip está dañado.';
						$a_err	= 'alert-danger';
						
						break;
					default:
						$lng_err= 'msj_no_sel_archivo';
						$msj_err= $insTema;  //'Debe seleccionar un archivo.';
						$a_err	= 'alert-danger';
			}
			echo msg_error( etiqueta( $lng_err, $msj_err ), NULL, $a_err );
			
			//echo Instalar_Tema_Weby( $tema['tmp_name'], YPATH_PLANTILLAS . '/' );
		}
		
		// ** Ejecuto accion Deshabilitar / Habilitar
		if( $_POST['acc'] == 'r-habilitar' ){
			$publi = false;
			if( $_POST['obs'] == 1 ){
				echo _mysql_modificar_reg( $tabla, "id='{$_POST['post']}'", "publicado='{$_POST['h']}'" );
			}else{
				// -- ubicacion del controlador de extensiones
					$ext_uri = MYSQL_PREFIJO_SISX . YDS . '.ypanel' . YDS . 'extensiones.y';
					$data = array();
				// -- Leo los datos
					$json = file_get_contents( $ext_uri );
					$data = json_decode($json, true);
					
					$data[$_POST['post']]['publicado'] = ( isset( $_POST['h'] ) && $_POST['h'] > 0 ) ? 1 : 0;
					
				// -- Guardo las modificciones
					$json = json_encode($data);
					file_put_contents($ext_uri, $json);
				
				echo 1;
			}
		}
	
		// ** Ejecuto accion eliminar
		if( $_POST['acc'] == 'r-eliminar' ){
			$eli = false;
			
			// ** Elimino de la base de datos obsoleto
			if( $_POST['obs'] == 1 ){
				// elimino directorio
					$etdir = _mysql_obtener_reg( MYSQL_PREFIJO_SISX . $tabla, "id='" . $_POST['post'] . "'", "extension" );
					
				echo _mysql_eliminar_reg( $tabla, $_POST['post'] );
			}else{
				// elimino directorio
					$etdir = ( isset( $_POST['post'] ) && !empty( $_POST['post'] ) ) ? $_POST['post'] : 'nodir' ;
					
				// -- ubicacion del controlador de extensiones
					$ext_uri = _DIR_PAQUETE . YDS . '.ypanel' . YDS . 'extensiones.y';
					$data = array();
				// -- Leo los datos
					$json = file_get_contents( $ext_uri );
					$data = json_decode($json, true);
					
					unset($data[$_POST['post']]);
					
				// -- Guardo las modificciones
					$json = json_encode($data);
					file_put_contents($ext_uri, $json);
					
				echo 1;
			}
			//-- elimino directorio
			if( file_exists(_DIR_PAQUETE_WEB . YDS . 'wy_incluye' . YDS . 'wy_ext' . YDS . $etdir) ) eDir( _DIR_PAQUETE_WEB . YDS . 'wy_incluye' . YDS . 'wy_ext' . YDS . $etdir );
		}		
			 
?>	